from django.db import models


# Create your models here.
class SysConfig(models.Model):
    """
    系统配置表
    """
    id = models.AutoField(verbose_name="id", primary_key=True, unique=True)
    name = models.CharField(max_length=50, unique=True, verbose_name="名称", null=True, blank=True)
    identity = models.CharField(max_length=100, verbose_name="标识", null=True, blank=True)
    param = models.CharField(max_length=200, verbose_name="参数", null=True, blank=True)
    desc = models.CharField(max_length=500, verbose_name="描述")
    create_by = models.CharField(verbose_name="创建人", max_length=50)
    create_time = models.DateTimeField(verbose_name="创建时间")
    update_by = models.CharField(verbose_name="更新人", max_length=50)
    update_time = models.DateTimeField(verbose_name="更新时间", auto_now=True)

    def __str__(self):
        return self.name

    class Meta:
        verbose_name = "系统配置表"

